Subject: bug#47432: 28.0.50; Dired using ! or & on file should fail without command supplied

From: Andreas Schwab <[email-masked]>
Date: Sun, 28 Mar 2021 17:00:09 +0200

On Mär 28 2021, Lars Ingebrigtsen wrote:

> I think that would be a bit odd.  But I see that the doc string doesn't
> explicitly say that happens here, so I've added the following sentence
> to the doc string in Emacs 28:
>
> ----
> When executing, FILE-LIST is appended to the COMMAND string.
> ----

No, this is very wrong.  The docstring already adequately and correctly
documents that case:

    Otherwise, this runs COMMAND on each file individually with the
    file name added at the end of COMMAND (separated by a space).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 7578 EB47 D4E5 4D69 2510  2552 DF73 E780 A9DA AEC1
"And now for something completely different."